{
  "name": "project",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --open",
    "build": "vite build",
    "build:test": "vite build --mode test",
    "build:prod": "vite build --mode production",
    "build:local": "vite build --mode locals",
    "build:no": "vite build",
    "preview": "vite preview",
    "lint": "eslint src",
    "fix": "eslint src --fix",
    "format": "prettier --write \"./**/*.{html,vue,ts,js,json,md}\"",
    "lint:eslint": "eslint src/**/*.{ts,vue} --cache --fix",
    "lint:style": "stylelint src/**/*.{css,scss,vue} --cache --fix"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@element-plus/icons-vue": "^2.1.0",
    "axios": "^1.4.0",
    "bigdecimal": "^0.6.1",
    "crypto-js": "^4.1.1",
    "decimal.js": "^10.4.3",
    "default-passive-events": "^2.0.0",
    "echarts": "^5.4.3",
    "echarts-gl": "^1.1.1",
    "echarts-liquidfill": "^3.1.0",
    "echarts-wordcloud": "^1.1.3",
    "element-plus": "^2.8.0",
    "js-md5": "^0.8.3",
    "jsencrypt": "^3.3.2",
    "lodash": "^4.17.21",
    "mitt": "^3.0.1",
    "moment": "^2.29.4",
    "nprogress": "^0.2.0",
    "pinia": "^2.1.6",
    "pinia-plugin-persistedstate": "^3.2.0",
    "vue": "^3.3.4",
    "vue-router": "^4.2.4",
    "vue3-cron-plus": "^0.1.9",
    "vue3-emoji": "^3.0.2",
    "vue3-json-viewer": "^2.2.2",
    "vuedraggable": "next"
  },
  "devDependencies": {
    "@babel/eslint-parser": "^7.22.9",
    "@iconify-json/ep": "^1.1.11",
    "@typescript-eslint/eslint-plugin": "^6.2.0",
    "@typescript-eslint/parser": "^6.2.0",
    "@vitejs/plugin-vue": "^4.2.3",
    "eslint": "^8.45.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-vue": "^9.15.1",
    "mockjs": "^1.1.0",
    "postcss": "^8.4.27",
    "postcss-html": "^1.5.0",
    "postcss-pxtorem": "^6.1.0",
    "postcss-scss": "^4.0.6",
    "sass": "^1.64.1",
    "sass-loader": "^13.3.2",
    "stylelint": "^15.10.2",
    "stylelint-config-prettier": "^9.0.5",
    "stylelint-config-recess-order": "^4.3.0",
    "stylelint-config-recommended-scss": "^12.0.0",
    "stylelint-config-standard": "^34.0.0",
    "stylelint-config-standard-scss": "^10.0.0",
    "stylelint-config-standard-vue": "^1.0.0",
    "stylelint-order": "^6.0.3",
    "stylelint-scss": "^5.0.1",
    "typescript": "^5.0.2",
    "unplugin-auto-import": "^0.16.6",
    "unplugin-icons": "^0.16.5",
    "unplugin-vue-components": "^0.25.1",
    "vite": "^4.4.5",
    "vite-plugin-mock": "2.9.6",
    "vite-plugin-pwa": "^0.21.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^1.8.5"
  }
}
